code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
DBHOST=localhost DBNAME=xxxx DBUSER=yyyy
TreeBASE/treebase
treebase-core/db/tb1load/scripts/dbinfo.sh
Shell
bsd-3-clause
41
#! /bin/sh . ../../dttools/test/test_runner_common.sh . ./parrot-test.sh tmp_dir_main=${PWD}/parrot_temp_dir tmp_dir_hitcher=${PWD}/parrot_temp_dir_hitcher test_file=/cvmfs/atlas.cern.ch/repo/conditions/logDir/lastUpdate prepare() { $0 clean } run() { if parrot --check-driver cvmfs then parrot -t${tmp_dir_mai...
btovar/cctools
parrot/test/TR_parrot_cvmfs_alien_cache.sh
Shell
gpl-2.0
817
# # rhsm-icon bash completion script # based on rhn-migrate-classic-to-rhsm bash completion script # # main completion function _rhsm-icon() { local first cur prev opts base COMPREPLY=() first="${COMP_WORDS[1]}" cur="${COMP_WORDS[COMP_CWORD]}" prev="${COMP_WORDS[COMP_CWORD-1]}" opts="-h --help --help-all --hel...
vritant/subscription-manager
etc-conf/rhsm-icon.completion.sh
Shell
gpl-2.0
601
# # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Free Softwar...
openjdk/jdk7u
jdk/test/sun/jvmstat/monitor/MonitoredVm/MonitorVmStartTerminate.sh
Shell
gpl-2.0
1,498
#!/bin/bash export VMNAME=${VMNAME:-"$1"} export VMNAME=${VMNAME:-"omerovm"} export MEMORY=${MEMORY:-"1024"} export SSH_PF=${SSH_PF:-"2222"} export OMERO_PORT=${OMERO_PORT:-"4063"} export OMERO_PF=${OMERO_PF:-"4063"} export OMEROS_PORT=${OMEROS_PORT:-"4064"} export OMEROS_PF=${OMEROS_PF:-"4064"} export OMERO_JOB=${OM...
jballanc/openmicroscopy
docs/install/VM/omerovm.sh
Shell
gpl-2.0
4,584
# Version number and release date. VERSION_NUMBER=0.18.3 RELEASE_DATE=2013-07-07 # in "date +%Y-%m-%d" format
OS2World/DEV-MISC-gettext
version.sh
Shell
gpl-3.0
115
#! /bin/sh # Download and build glib 2.x statically with all dependencies and then # compile GNU Midnight Commander against it. # Copyright (C) 2003 Pavel Roskin # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free...
NoSeungHwan/mc_kor_dev
build-glib2.sh
Shell
gpl-3.0
3,575
#!/bin/bash # # Bootstraps everything installing Django and all required eggs, configuring # the database and making sure a consistent Mono development environment is # installed. # Here we customize src/epiweb/settings.py by setting the user preferred # database, language and country. Note that the database and the u...
sbfnk/epiwork-website
bootstrap.sh
Shell
agpl-3.0
14,295
#!/bin/sh source $(dirname $0)/bootstrap.sh MAINCLASS=org.apache.zookeeper.server.quorum.QuorumPeerMain $SCRIPTDIR/shutdown.sh $MAINCLASS pid/zk mkdir -p etc pid rm -f pid/zk for ZK in {1,2,3}; do ZKCONF=etc/zk$ZK.cfg echo tickTime=2000 > $ZKCONF echo initLimit=10 >>$ZKCONF echo syncLimit=5 >>$Z...
dmontag/neo4j-enterprise
ha/src/main/script/zkdevcluster.sh
Shell
agpl-3.0
790
#!/bin/bash -l #SBATCH -p micro #SBATCH --ntasks=1 #SBATCH -t 00:20:00 #SBATCH -J my_job #SBATCH --cpus-per-task=1 # #SBATCH --ntasks-per-node=1 # #SBATCH --gres=gpu:4 #SBATCH --workdir $HOME/NO_BACKUP/ python worker.py test --sheep testcase-worker-allegro
markovmodel/adaptivemd
examples/rp/submit_worker.sh
Shell
lgpl-2.1
259
# Shim to run a modular input written in Java. The modular input # is assumed to be in the form of an executable jar. This shim # is in ${PLATFORM}/bin/${INPUTNAME}.sh of the app the modular # input is contained in, and the jar is assumed to be in # jars/${INPUTNAME}.jar in the app. # # Extra arguments to the JVM (i.e....
dkelmer/splunk-sdk-java
launchers/shim-linux.sh
Shell
apache-2.0
700
#!/bin/bash if [ "x$1" == "x--help" ]; then echo "Release and version bump script for Maven based projects" echo " with X.Y[-SNAPSHOT] versioning scheme." echo "Usage: $0 [--major]" echo echo " --major This is a major release. Bump the X version" echo " and reset Y to 0 prior to release." ech...
oVirt/ovirt-optimizer
release.sh
Shell
apache-2.0
2,704
#!/bin/bash # Copyright (C) 2017 Intel Corporation # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # as published by the Free Software Foundation; either version 2 # of the License, or (at your option) any later version. # # This pro...
devimc/tests
metrics/network/network-latency-qperf.sh
Shell
apache-2.0
2,238
#!/usr/bin/env bash set -xe # Desktop and other tutorial tools. # VirtualBox doesn't like Gnome, use Unity: # https://askubuntu.com/questions/1035410/ubuntu-18-04-gnome-hangs-on-virtualbox-with-3d-acceleration-enabled echo "gdm3 shared/default-x-display-manager select lightdm" | debconf-set-selections echo "lightdm s...
opennetworkinglab/onos
tools/dev/p4vm/tutorial-bootstrap.sh
Shell
apache-2.0
1,152
#!/bin/bash DRIVER= UWSGI= NGINX= PROCESS_OR_THREAD=-p source ${TROOT}/config.sh
sanjoydesk/FrameworkBenchmarks
frameworks/C++/cutelyst/setup_pf.sh
Shell
bsd-3-clause
83
#!/bin/bash if [ "$INSTALL_BOWER" = "true" ]; then node ./node_modules/bower/bin/bower install fi
simonfork/fuelux
postinstall.sh
Shell
bsd-3-clause
100
#!/bin/bash # Provision the db vm ALL_PROVISIONERS="check setup install postinstall netcadbca import service" if [[ $@ ]]; then PROVISIONERS=$@ else PROVISIONERS=$ALL_PROVISIONERS fi echo "running provisioners $PROVISIONERS" for p in $PROVISIONERS do case "$p" in check) # check for r...
kpath/Vagrant-CRS
scripts/db11g/provision.sh
Shell
mit
1,455
#!/bin/bash set -e mo=$(/bin/ls -1 ./locale/*.pot) mo="${mo##*/}" mo="${mo%.*}" for f in ./locale/*.po; do echo -n "$f: " l="${f%.po}" l="${l##*/}" mkdir -p "./locale/$l/LC_MESSAGES" msgfmt -o "./locale/$l/LC_MESSAGES/$mo.mo" "$f" echo "ok" done
marguerite/susews-planet
l10n-compile-po.sh
Shell
gpl-2.0
272
#!/system/bin/sh . /data/data/info.guardianproject.gpg/app_opt/aliases/common /data/data/info.guardianproject.gpg/app_opt/bin/gpgsm-gencert.sh $@
guardianproject/gnupg-for-android
assets/aliases/gpgsm-gencert.sh
Shell
gpl-3.0
148
#!/bin/sh # # @file pkg_install_vl32.sh # @brief OpenRTM-aist dependent packages install script for Vine Linux 3.2 # @author Noriaki Ando <n-ando@aist.go.jp> and Shinji Kurihara # # rpm_dir='/root/rpm/RPMS/i386' ace=`rpm -qa ace` ace_devel=`rpm -qa ace-devel` ### ¥½¡¼¥¹RPM¥Õ¥¡¥¤¥ë¤Î¼èÆÀ¤È¥ê¥Ó¥ë¥É¤Ë¤È¤Æ¤â»þ´Ö¤¬¤«¤«...
yosuke/OpenRTM-aist-portable
build/pkg_install_vl32.sh
Shell
lgpl-3.0
3,618
#!/bin/bash # Utility script to update the ansible repo with the latest templates and image # streams from several github repos # # This script should be run from openshift-ansible/roles/openshift_examples XPAAS_VERSION=ose-v1.3.6 ORIGIN_VERSION=${1:-v1.5} RHAMP_TAG=2.0.0.GA RHAMP_TEMPLATE=https://raw.githubuserconte...
rhdedgar/openshift-tools
openshift/installer/vendored/openshift-ansible-3.5.91/roles/openshift_examples/examples-sync.sh
Shell
apache-2.0
2,632
#!/bin/bash # Copyright 2014 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
devops-docker/kubernetes
hack/test-integration.sh
Shell
apache-2.0
2,923
#!/bin/bash set -e #------------------------------------------------------------------------------- # Start docker container #------------------------------------------------------------------------------- cd "$APP_FOLDER" if [ -a src/main/docker/jhipster-registry.yml ]; then docker-compose -f src/main/docker/jhip...
stevehouel/generator-jhipster
travis/scripts/03-docker-compose.sh
Shell
apache-2.0
1,197
#!/usr/bin/env bash usage() { echo "Runs our integration suite on Linux" echo "usage: cibuild.sh [options]" echo "" echo "Options" echo " --mono-path <path> Path to the mono installation to use for the run" echo " --os <os> OS to run (Linux / Darwin)" } XUNIT_VERSION=2.0.0-alpha-...
VitalyTVA/roslyn
cibuild.sh
Shell
apache-2.0
6,156
#!/bin/sh source ./shared.functions.sh START_DIR=$PWD WORK_DIR=$START_DIR/../../../../../../.macosbuild mkdir -p $WORK_DIR WORK_DIR=$(abspath "$WORK_DIR") source ./mac.05.libvcx.env.sh cd ../../../.. export ORIGINAL_PATH=$PATH #export ORIGINAL_PKG_CONFIG_PATH=$PKG_CONFIG_PATH # Commenting because we don't want to ...
anastasia-tarasova/indy-sdk
vcx/libvcx/build_scripts/android/mac/debug/mac.06.x86.libvcx.build.sh
Shell
apache-2.0
3,754
#!/usr/bin/env bash # Copyright 2009 The Go Authors. All rights reserved. # Use of this source code is governed by a BSD-style # license that can be found in the LICENSE file. set -e eval $(go env) export GOROOT # the api test requires GOROOT to be set. unset CDPATH # in case user has it set unset GOPATH # we d...
pombredanne/go-deleteme
src/run.bash
Shell
bsd-3-clause
7,007
#!/bin/bash FN="mgug4120a.db_3.2.3.tar.gz" URLS=( "https://bioconductor.org/packages/3.13/data/annotation/src/contrib/mgug4120a.db_3.2.3.tar.gz" "https://bioarchive.galaxyproject.org/mgug4120a.db_3.2.3.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-mgug4120a.db/bioconductor-mgug4120a.db_3.2.3_src_...
phac-nml/bioconda-recipes
recipes/bioconductor-mgug4120a.db/post-link.sh
Shell
mit
1,426
#!/usr/bin/env sh # generated from catkin/cmake/template/setup.sh.in # Sets various environment variables and sources additional environment hooks. # It tries it's best to undo changes from a previously sourced setup file before. # Supported command line options: # --extend: skips the undoing of changes from a previou...
Boberito25/ButlerBot
rosbuild_ws/src/intelligence/build/catkin_generated/installspace/setup.sh
Shell
bsd-3-clause
1,488
#!/bin/bash # Copyright (c) 2015 The Chromium Authors. All rights reserved. # # Use of this source code is governed by a BSD-style license that can be # # found in the LICENSE file. # # This script is tested ONLY on Linux. It may not work correctly on # Mac OS X. # if [ $# -lt 1 ]; then echo "Usage: "$0" (android|an...
endlessm/chromium-browser
third_party/icu/scripts/copy_data.sh
Shell
bsd-3-clause
2,502
#!/bin/sh git clone https://github.com/biicode/boost.git biicode-boost mkdir -p blocks cd biicode-boost ./generate $1 --no-publish cp -r -p blocks/* ../blocks
bowlofstew/boost-examples-headeronly
bootstrap.sh
Shell
mit
161
#!/bin/sh ### # = amsn.sh(3) # Gabriel Craciunescu <crazy@frugalware.org> # # == NAME # amsn.sh - for Frugalware # # == SYNOPSIS # Common schema for amsn plugins packages. # # == EXAMPLE # -------------------------------------------------- # pkgname=amsn-plugin-amsnplus # _F_amsn_name="amsnplus" # pkgver=2.6.1 # pkgre...
frugalware/xorgtesting
source/include/amsn.sh
Shell
gpl-2.0
2,237
#!/bin/sh # Ensure "ls --color" properly colors "normal" text and files. # I.E. that it uses NORMAL to style non file name output and # file names with no associated color (unless FILE is also set). # Copyright (C) 2010-2013 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/o...
bu2/coreutils
tests/ls/color-norm.sh
Shell
gpl-3.0
3,104
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you...
shankarh/geode
dev-tools/docker/compile/start-compile-docker.sh
Shell
apache-2.0
1,800
#!/usr/bin/env bash # # The Alluxio Open Foundation licenses this work under the Apache License, version 2.0 # (the "License"). You may not use this work except in compliance with the License, which is # available at www.apache.org/licenses/LICENSE-2.0 # # This software is distributed on an "AS IS" basis, WITHOUT WARRA...
EvilMcJerkface/alluxio
integration/vagrant/ansible/roles/mesos/files/config_alluxio.sh
Shell
apache-2.0
929
mdast -u mdast-slug -u mdast-validate-links ./*.md mdast -u mdast-slug -u mdast-validate-links ./**/*.md
thanegill/RxSwift
scripts/validate-markdown.sh
Shell
mit
104
#!/bin/bash -x # # Generated - do not edit! # # Macros TOP=`pwd` CND_PLATFORM=GNU-Linux-x86 CND_CONF=Release CND_DISTDIR=dist CND_BUILDDIR=build CND_DLIB_EXT=so NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging TMPDIRNAME=tmp-packaging OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/libnative-...
teamfx/openjfx-9-dev-rt
netbeans/native-font/nbproject/Package-Release.bash
Shell
gpl-2.0
1,531
#!/bin/bash # ################################################################################################################## # Written to be used on 64 bits computers # Author : Erik Dubois # Website : http://www.erikdubois.be #####################################################################################...
erikdubois/AntergosXfce4
setup-git-v1.sh
Shell
gpl-2.0
2,283
#!/bin/sh # 'test cp --update A B' where A and B are both symlinks that point # to the same file # Copyright (C) 2000-2016 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Fo...
yuxuanchen1997/coreutils
tests/cp/slink-2-slink.sh
Shell
gpl-3.0
1,143
#!/bin/bash # # Copyright 2018 The AMP HTML Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless requir...
lannka/amphtml
build-system/common/enable-git-pre-push.sh
Shell
apache-2.0
2,961
#!/bin/bash USERDIR=python-codec VERSION=`PYTHONPATH=$USERDIR/src/ python get_version.py` USERZIP=$USERDIR-$VERSION-win32.zip DISTDIR=dist WINDIR=$USERDIR-windows rm -Rf $WINDIR cp -R $USERDIR $WINDIR svn export http://rl-glue-ext.googlecode.com/svn/trunk/projects/codecs/Python/WINDOWS-README.txt $WINDIR/README.txt cd ...
pclarke91/rl-glue-ext
projects/distribution_tools/Python-Codec/prepare-windows-package.bash
Shell
apache-2.0
738
#!/bin/bash # usage: # api-expect-error.sh <URL> <params> <message> # curls the URL with the params, and expects result error="true", with result message if specified SRC_DIR=$(cd `dirname $0` && pwd) DIR=${TMP_DIR:-$SRC_DIR} errorMsg() { echo "$*" 1>&2 } requrl="$1" shift params="$1" shift message="$1" shift...
tjordanchat/rundeck
test/api/api-expect-error.sh
Shell
apache-2.0
820
#!/bin/sh # a u t o g e n . s h # # Copyright (c) 2005-2009 United States Government as represented by # the U.S. Army Research Laboratory. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # # 1....
tempbottle/chan
autogen.sh
Shell
apache-2.0
47,427
#!/bin/bash mkdir -p "$PREFIX/bin" if [ "$(uname)" == "Darwin" ]; then cp bedCommonRegions "$PREFIX/bin" else export MACHTYPE=x86_64 export BINDIR=$(pwd)/bin mkdir -p "$BINDIR" (cd kent/src/lib && make) (cd kent/src/htslib && make) (cd kent/src/jkOwnLib && make) (cd kent/src/hg/lib && ma...
dmaticzka/bioconda-recipes
recipes/ucsc-bedcommonregions/build.sh
Shell
mit
458
mkdir -p "${PREFIX}/share" mkdir -p "${PREFIX}/bin" cp recognizer.py "${PREFIX}/share" cp -r resources/* "${PREFIX}/share" chmod +x "${PREFIX}/share/recognizer.py" ln -s "${PREFIX}/share/recognizer.py" "${PREFIX}/bin"
cokelaer/bioconda-recipes
recipes/recognizer/build.sh
Shell
mit
218
mysql twelve_monkeys_test -utwelve_monkeys -ptwelve -e 'drop database twelve_monkeys_test; create database twelve_monkeys_test;'; # # Copyright 2015 Comcast Cable Communications Management, LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the ...
dewrich/traffic_control
traffic_ops/app/db/reset.sh
Shell
apache-2.0
814
# # Copyright (c) 2004, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Free Software Foun...
vicmarcal/JAVA_UNIT
test/sun/tools/jps/jps-q.sh
Shell
gpl-3.0
1,285
#!/bin/sh ########################################################################### # lighttpd_debian.sh # --------------------- # Date : February 2014 # Copyright : (C) 2014 by Larry Shaffer # Email : larrys at dakotacarto dot com #############################...
asiersarasua/QGIS
tests/testdata/qgis_local_server/lighttpd/scripts/lighttpd_debian.sh
Shell
gpl-2.0
2,973
#!/bin/bash # Install using setuptools $PYTHON setup.py install
gvlproject/bioconda-recipes
recipes/pathoscope/build.sh
Shell
mit
65
#!/bin/sh export BASE_DIR="`dirname $0`" if test -z "$NO_MAKE"; then make -C "$BASE_DIR/../" > /dev/null || exit 1 fi if test -z "$CUTTER"; then CUTTER="`make -s -C "$BASE_DIR" echo-cutter`" fi "$CUTTER" --keep-opening-modules -s "$BASE_DIR" "$@" "$BASE_DIR" # ^^^^^^^^^^^^^^^^^^^^^^ # FIXME: Remove ...
paulchabanon/libnfc-my
test/run-test.sh
Shell
lgpl-3.0
509
#! /usr/bin/env node logfmt = require('./lib/logfmt_parser') logfmt.debug = true; var test_string = "foo=bar a=14 baz=\"hello kitty\" cool%story=bro f %^asdf "; test_string += "code=H12 path=/hello/user@foo.com/close"; console.log(logfmt.parse(test_string))
alexey0511/munikApp
testAuth/node_modules/logfmt/examples/quick.sh
Shell
bsd-2-clause
259
#! /bin/bash # (c) 2015, Quentin Casasnovas <quentin.casasnovas@oracle.com> obj=$1 file ${obj} | grep -q ELF || (echo "${obj} is not and ELF file." 1>&2 ; exit 0) # Bail out early if there isn't an __ex_table section in this object file. objdump -hj __ex_table ${obj} 2> /dev/null > /dev/null [ $? -ne 0 ] && exit 0 ...
AiJiaZone/linux-4.0
virt/scripts/check_extable.sh
Shell
gpl-2.0
5,014
#!/bin/bash # SPDX-License-Identifier: GPL-2.0 ALL_TESTS=" ping_ipv4 ecn_test ecn_test_perband ecn_nodrop_test red_test mc_backlog_test red_mirror_test red_trap_test ecn_mirror_test " : ${QDISC:=ets} source sch_red_core.sh # do_ecn_test first build 2/3 of the requested backlog and expects no marking, # and t...
mpe/powerpc
tools/testing/selftests/drivers/net/mlxsw/sch_red_ets.sh
Shell
gpl-2.0
3,104
#! /bin/bash FORGE_VERSION="1.7.10-10.13.2.1352-1.7.10" FORGE_JAR="forge-$FORGE_VERSION-installer.jar" AS2="LinuxMac-AS2-1.0.33b.zip" FASTC="fastcraft-1.21.jar" #aquire the needed files echo "Downloading and installing forge" wget "http://files.minecraftforge.net/maven/net/minecraftforge/forge/$FORGE_VERSION/$FORGE_J...
gab1one/as2-scripts
setup.sh
Shell
isc
877
#!/bin/bash -ex mkdir -p /tmp/P cp openaddr/VERSION /tmp/P/FULL cut -f1 -d. /tmp/P/FULL > /tmp/P/MAJOR docker pull ubuntu:16.04 aws s3 cp --quiet s3://data.openaddresses.io/docker/openaddr-prereqs-`cat /tmp/P/MAJOR`.tar.gz /tmp/img && gunzip -c /tmp/img | docker load || true docker build -f Dockerfile-prereqs -t ope...
openaddresses/machine
.circleci/prepare-docker-images.sh
Shell
isc
431
docker build -t sczyh30/pistachio .
0x5f3759df-Hacker/pistachio-docker
build.sh
Shell
mit
36
fsuffix="/*.png" fsuff2="_output.gif" fsuff3="_input.gif" BASEPATH=${PWD##*/} while getopts "h?vf:" opt; do case "$opt" in h|\?) show_help exit 0 ;; f) BASEPATH=$OPTARG ;; esac done #echo $BASEPATH/exp_*/fittedimages for f in $BASEPATH/exp_*/fittedimages; do if [ -d ...
jswoboda/PlaneProcessing
convertall.sh
Shell
mit
948
#!/bin/sh set -e # first arg is `-f` or `--some-option` if [ "${1#-}" != "$1" ]; then set -- php-fpm "$@" fi if [ "$1" = 'php-fpm' ] || [ "$1" = 'php' ] || [ "$1" = 'bin/console' ]; then PHP_INI_RECOMMENDED="$PHP_INI_DIR/php.ini-production" if [ "$APP_ENV" != 'prod' ]; then PHP_INI_RECOMMENDED="$PHP_INI_DIR/php....
api-platform/demo
api/docker/php/docker-entrypoint.sh
Shell
mit
2,052
#!/bin/bash set -xv #adam-BL# . BonnLogger.sh #adam-BL# . log_start # calculated fringe values with the method: # mode of science frame/mode of background frame # # 30.05.04: # temporary files go to a TEMPDIR directory # $1: main directory (filter) # $2: science directory # $3: chips to be reduced # preliminary wor...
deapplegate/wtgpipeline
calculate_fringevalues_para.sh
Shell
mit
3,286
#!/bin/sh ####################################### # # # https://github.com/pedroguima # # # ####################################### function spinner { local delay=0.5 local msg=$1 local spinstr='|/-\' echo -e "\n$msg " while [ true...
pedroguima/breakmybox
breakmybox.sh
Shell
mit
3,788
#!/bin/bash sbcl --no-userinit --load dev.lisp
leosongwei/game_of_life
dev.sh
Shell
mit
48
echo "testing installation" dpkg -i $DEB echo "testing correct version present after install" [ $VERSION = $(java -version 2>&1 | head -n1 | cut -d ' ' -f 3 | tr -d '"') ] echo "testing removal" dpkg -r $PACKAGE echo "testing no java available after removal" if update-alternatives --display java; then /bin/false el...
caligin/jdk-makefile
tests.sh
Shell
mit
340
"$CLOUD_REBUILD" CMouse 32 dll debug same
xylsxyls/xueyelingshuang
src/CMouse/version_debug.sh
Shell
mit
41
head -"${arg1}" "${sourceFile}" head -"${arg1}" < "${sourceFile}" head -n "${arg1}" "${sourceFile}" head -n "${arg1}" < "${sourceFile}" head -n"${arg1}" "${sourceFile}" head -n"${arg1}" < "${sourceFile}" head -n +"${arg1}" "${sourceFile}" head -n +"${arg1}" < "${sourceFile}" head -n+"${arg1}" "${sourceFile}" head -n+"$...
Sylvain-Bugat/linux-commands-reference
line-selections/select-N-first-lines/select-N-first-lines-commands.sh
Shell
mit
1,851
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for RHSA-2014:0783 # # Security announcement date: 2014-06-23 18:51:07 UTC # Script generation date: 2017-01-01 21:15:21 UTC # # Operating System: Red Hat 5 # Architecture: x86_64 # # Vulnerable packages fix on version: # - httpd.x86_64:2.2.22-27.ep6.el5 # - ht...
Cyberwatch/cbw-security-fixes
Red_Hat_5/x86_64/2014/RHSA-2014:0783.sh
Shell
mit
1,278
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-2813-1 # # Security announcement date: 2013-12-09 00:00:00 UTC # Script generation date: 2017-01-01 21:06:46 UTC # # Operating System: Debian 7 (Wheezy) # Architecture: i386 # # Vulnerable packages fix on version: # - gimp:2.8.2-2+deb7u1 # # Last versions...
Cyberwatch/cbw-security-fixes
Debian_7_(Wheezy)/i386/2013/DSA-2813-1.sh
Shell
mit
623
export HOME=/root mkdir -p /tmp grep boot.no-mount /proc/cmdline && exec /init-tools/bin/sh readlink -f /dev/ThinkPadMain/Swap > /sys/power/resume udevadm trigger -c add udevadm trigger udevadm settle modprobe dm-mod vgchange -ay udevadm settle readlink -f /dev/ThinkPadMain/Swap > /sys/power/resume for i in /d...
7c6f434c/7c6f434c-configurations
init-less-system/my/mount-partitions-thinkpad.sh
Shell
mit
1,357
#network interface on which to limit traffic IF="eth0" #limit of the network interface in question LINKCEIL="1gbit" #limit outbound Stardust protocol traffic to this rate LIMIT="160kbit" #defines the address space for which you wish to disable rate limiting LOCALNET="192.168.0.0/16" #delete existing rules tc qdisc del...
ctwiz/stardust
contrib/qos/tc.sh
Shell
mit
1,674
#!/usr/bin/ksh # # audit the loads relation and all other loads. check if the files # exist under /lcsl100. # ############################################################################### # CMD=${0} # integer OKNUM integer NOTOKNUM integer TOTALOKNUM integer TOTALNOTOKNUM # verbose=no exitonerror=no # tmp=/tmp/tmp$$ ...
ombt/ombt
lts08.lcstools/tools/src/saveload/SAVE/auditloads.sh
Shell
mit
4,198
#!/bin/bash source ./scripts_config echo "Importing watchers information from $PLAIN_WATCHERS_FILE to redis" node ./import_watchers_to_redis.js $PLAIN_WATCHERS_FILE
anvaka/ghindex
03_import_watch_stream_to_redis.sh
Shell
mit
168
#!/usr/bin/env sh vendor/eher/phpunit/bin/phpunit tests
app55/app55-php
runtests.sh
Shell
mit
56
#!/bin/bash mkdir -p /opt/local/bin/RecordStream pushd /opt/local/bin/RecordStream apt-get -y install ia32-libs if ! curl https://s3.amazonaws.com/breadcrumb.install/recs.tar.gz > recs.tar.gz; then echo "Failed to download the RecordStream package" exit 1 fi rm -rf RecordStream tar xzf recs.tar.gz rm recs....
benbernard/HomeDir
bin/load-recordstream.sh
Shell
mit
448
#!/bin/bash echo "Instalando o Apache..." #Instalando o Apache. apt-get -y install apache2 apache2-utils #Ativando o mod_rewrite cd /etc/apache2/mods-enabled ln -sf ../mods-available/rewrite.load cd - #Reiniciando o apache service apache2 restart
leonardothibes/trac
conf.d/16-apache/install.sh
Shell
mit
251
#!/usr/bin/env bash set -e if [ -z "$1" ]; then echo "Missing PAAS space argument" echo " deploy.sh staging|production" exit 1 fi PAAS_SPACE=$1 wget -q -O - https://packages.cloudfoundry.org/debian/cli.cloudfoundry.org.key | sudo apt-key add - echo "deb http://packages.cloudfoundry.org/debian stable mai...
alphagov/performanceplatform-big-screen-view
etc/deploy.sh
Shell
mit
698
#!/bin/sh source ".env" mkdir -p ~/tmp/mongodump mongodump -h ${MONGO_REMOTE_HOST} -d ${MONGO_REMOTE_DB} -u ${MONGO_REMOTE_USER} -p ${MONGO_REMOTE_PASS} -o ~/tmp/mongodump mongorestore -h ${MONGO_LOCAL_HOST} -d ${MONGO_LOCAL_DB} --drop ~/tmp/mongodump/${MONGO_REMOTE_DB} rm -Rf ~/tmp/mongodump
rhythmagency/rhythm.profiles
pullmongodb.sh
Shell
mit
297
#!/bin/bash pushd /home/seanneal/tweetbot/ echo beginning tweet bot export LC_ALL=C.UTF-8 export LANG=C.UTF-8 git pull pipenv run python tweet_bot.py popd
seanneal/tweetbot
scripted_tweets.sh
Shell
mit
157
#!/bin/sh # init cd src/ rm -rf vendor mkdir vendor cd vendor cp -r ../../vendor/* . # Doctrine cd doctrine rm -rf UPGRADE* build* bin tests tools lib/vendor/doctrine-common/build* lib/vendor/doctrine-common/tests lib/vendor/doctrine-dbal/bin lib/vendor/doctrine-dbal/tests lib/vendor/doctrine-dbal/tools lib/vendor/d...
noelg/symfony-news
prepare_vendors.sh
Shell
mit
1,446
#!/bin/bash # Provide functions for provisioning. RED="0;31" GREEN="0;32" BLUE="0;34" # Output a string with a colour # $1 - colour # $2 - string output() { echo -e "\033[$1m[PROVISIONER] $2\033[0m" } box_install_apache2() { output $BLUE "Installing Apache..." apt-get -qq -y install apache2 cp /vagr...
jamiefdhurst/vagrant-dev
vagrant/sh/functions.sh
Shell
mit
4,701
#!/bin/bash #enable all the files in the directory you're working on to read-write-execute sudo chmod 700 *
htoo97/Janus
change_permissions.sh
Shell
mit
110
#!/bin/bash DESCRIPTION="HyprIoT Cluster Lab". DEPENDENCIES="avahi-utils, vlan, dnsmasq" BUILD_DIR="./" VERSION="$(cat VERSION)" PACKAGE_VERSION=${VERSION}-${1:-"1"} PROJECT_NAME=hypriot-cluster-lab PACKAGE_NAME="${PROJECT_NAME}_${PACKAGE_VERSION}" mkdir -p ${BUILD_DIR}/${PACKAGE_NAME} cp -r package/* ${BUILD_DIR}/$...
hypriot/cluster-lab
build.sh
Shell
mit
843
#summary of spree new app local generation spree [railsappname] -d mysql mysqladmin create [dbname] -u root -p cd [railsappname] #edit config/database.yml #paste /vendor/lib/smtp_tls.rb for ruby1.8.7 compatibility bug rake db:bootstrap rake db:migrate sudo ruby script/server -p 80 -u #login to http:/...
k-takami/dotfiles
CHEATSHEETS/_legacy/RoR/spree.sh
Shell
mit
4,927
#!/bin/bash git pull echo "Updating Sub Repos" if [ ! -d "./app/drupalcore" ]; then git clone https://git.drupalcode.org/project/drupal.git ./app/drupalcore else cd ./app/drupalcore git remote update git remote set-head origin -a git checkout origin/HEAD cd ../bin fi ./cores.rb > ../../dist/next.html ./...
lauriii/drupalcores
app/bin/build.sh
Shell
mit
414
minimal() { # Use colors, but only if connected to a terminal, and that terminal # supports them. if which tput >/dev/null 2>&1; then ncolors=$(tput colors) fi if [ -t 1 ] && [ -n "$ncolors" ] && [ "$ncolors" -ge 8 ]; then RED="$(tput setaf 1)" GREEN="$(tput setaf 2)" YELLOW="$(tput setaf 3)...
jig/myubuntu
install-golangliteide.sh
Shell
mit
1,041
#!/bin/bash # simple script to set up an environment to hack on. # installs all strider-* deps as git clone's from the master branch. # you can hack on them by editing under node_moduldes/strider-foo DEPS="strider-custom strider-python strider-node strider-env strider-sauce strider-simple-runner strider-extension-lo...
d3ming/strider
dev.sh
Shell
mit
871
#!/bin/bash QUERY_HASH="42323d64886122307be10013ad2dcc44" #QUERY_HASH="a5164aed103f24b03e7b7747a2d94e3c" URL="https://www.instagram.com/graphql/query/" username="$1" if [ "x" = "x$username" ]; then username="modela_asia" fi rhx= graphql() { json="$1" magic="$rhx:$json" md5=$(echo -n "$magic" | md5) url="$...
wrenth04/download-scripts
ig/ids.sh
Shell
mit
1,583
#!/bin/sh # This is the main script for provisioning. Out of this # file, everything that builds the box is executed. ### Software ### # NodeJS 4.4.5 # MongoDB 3.2.7 # MySQL # Git ### Build the box # Make /opt directory owned by vagrant user sudo chown vagrant:vagrant /opt/ ### Update the system sudo apt-get up...
JuroUhlar/kypo-vagrant
vagrant-scripts/provision.sh
Shell
mit
4,336
#! /usr/bin/env bash # chkconfig: 2345 99 01 # description: Telegraf daemon ### BEGIN INIT INFO # Provides: telegraf # Required-Start: $all # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Start telegraf at boot time ### END INIT INFO # ...
aristanetworks/telegraf
Arista/ConfigFiles/init.sh
Shell
mit
4,878
#!/bin/bash DEBUG_KEY='check-for-rebooting-machines' debug() { if [ -z "$DEBUG" ]; then return 0 fi local message="$1" echo "$DEBUG_KEY: $message" } fatal() { local message="$1" echo "Error: $message" exit 1 } script_directory(){ local source="${BASH_SOURCE[0]}" local dir="" while [ -h "$so...
octoblu/the-stack-services
scripts/check-for-rebooting-machines.sh
Shell
mit
2,714
#! /bin/bash NAMES=(John Kate Ashish Lee Tom Omar) echo "Names: " for NAME in "${NAMES[@]}" do printf "\t%s\n" "$NAME" done
jbelmont/unix-programming-and-regular-expressions-workshop
scripts/looping/for.sh
Shell
mit
127
#!/bin/sh set -euf -o pipefail # # these variables come from docker --link feature # root_passwd=$DB_ENV_MYSQL_ROOT_PASSWORD db_host=$DB_PORT_3306_TCP_ADDR neuhome=$(readlink -f $(dirname $0)/..) param() { local configs="$neuhome/config/config.ini" if [ x"$(basename "$neuhome")" = x"NeuDev" ] ; then configs...
iliu-net/NeuSol
scripts/sqladm.sh
Shell
mit
798
#!/bin/bash # this should not be found in this case TEXTFILE=plugin_out.log grep "this argument is passed to a variadic functions variadic part" $TEXTFILE if [ $? -eq 0 ] ; then exit 1 fi exit 0
realincubus/clang_plugin_tests
1d/variadic_function_call_no_warning/extra_checks.sh
Shell
mit
201
docker exec virtuoso isql-v 1111 dba dba /usr/local/virtuoso-opensource/var/lib/virtuoso/db/script.sql
mommi84/horn-concerto
install-graph-exec.sh
Shell
mit
103
#!/bin/sh # # I lock my passwords using `email-lock` since gpg-agent is assumed to be # running, signing a message with the key will make it accessible to # offlineimap. # KEY_NAME=email-lock FILE=$(mktemp) dd iflag=fullblock if=/dev/random of=$FILE bs=128 count=20 2>/dev/null gpg --local-user $KEY_NAME --sign $FILE...
crvs/dotfiles
bin/fetchinbox.sh
Shell
mit
449
#!/bin/sh # CYBERWATCH SAS - 2017 # # Security fix for DSA-3267-1 # # Security announcement date: 2015-05-22 00:00:00 UTC # Script generation date: 2017-01-01 21:07:24 UTC # # Operating System: Debian 8 (Jessie) # Architecture: i386 # # Vulnerable packages fix on version: # - chromium-browser:43.0.2357.65-1~deb8u...
Cyberwatch/cbw-security-fixes
Debian_8_(Jessie)/i386/2015/DSA-3267-1.sh
Shell
mit
960
export_file vimrc $HOME/.vimrc
cprodescu/config
packages/vim/init.sh
Shell
mit
31
#!/bin/sh if [ $# -lt 2 ]; then echo "usage: $0 <build dir> <report file>"; exit -1; fi echo "###################### context coroutine (stack using memory pool) ###################" >> "$2"; echo "########## Cmd: sample/sample_benchmark_coroutine_mem_pool 10000 1000 200" >> "$2"; "$1"/sample/sample_benchmark_...
sotter/libcopp
doc/reports/linux_start_benchmark.sh
Shell
mit
2,635
for f in $( ls /var/ ); do echo $f done
kkdg/bash-jogging
02/0223/loop.sh
Shell
mit
42
#!/bin/sh echo "Installing dependencies for building your resume" brew cask install basictex sudo tlmgr update --self sudo tlmgr install fontawesome sudo tlmgr install nopageno sudo tlmgr install framed sudo tlmgr install cantarell sudo tlmgr install slantsc sudo tlmgr install numprint
lanxx019/resume
dependency.sh
Shell
mit
289
#!/bin/bash source ./env.sh cd $GAE_ROOTDIR go test ./src/sample1/...
uryyyyyyy/GAESample
commands/test_sample1.sh
Shell
mit
72
#!/bin/sh # # Generate a series of sine tones ranging in pitch from C-1 (8.175 Hz) # to G9 (12543.85395 Hz). All stereo, all 44100 Hz sampling rate. # File names are xxx.wav, where xxx is the MIDI pitch number for that # frequency. # # Thank you, sox # for (( i = 0 ; i < 127 ; i++ )) do echo sox -c 2 -r 44100 -n `...
rdpoor/mu
SoundSets/Tones/gentones.sh
Shell
mit
469
#! /bin/bash cd ./PhysicsJS/ npm install npm install grunt-cli -g grunt dist
peterdemartini/chad-the-dinosaur
run-physicsjs.sh
Shell
mit
78